Bug 421221 - Window 'Center snap zone' and 'Window Placement' inconsistent
Summary: Window 'Center snap zone' and 'Window Placement' inconsistent
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: general (show other bugs)
Version: 5.18.5
Platform: Manjaro Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-09 12:51 UTC by hello
Modified: 2021-10-01 16:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hello 2020-05-09 12:51:08 UTC
Just a mild annoyance.
Would it be possible to change 'Center snap zone' calculation? So it takes the height of the panel into account.
At the moment this and 'Window Placement' have different center points.

STEPS TO REPRODUCE
1. Have a Panel at top or bottom
2. Set 'Window Placement' to Centered and 'Center snap zone' > Panelheight/2
3. Launch a Window and grab the titlebar

OBSERVED RESULT
Window is jumping to the snap zone
https://imgur.com/a/giXzacX

Thanks.
Comment 1 Kristen McWilliam 2020-06-02 14:43:35 UTC
Seconded, I would like an option to have the 'center' take the height of the panel or dock into consideration so that my window doesn't end up sitting on the dock, with a bunch of space on the other side.

https://imgur.com/a/ekxSiFm
Comment 2 Bug Janitor Service 2021-09-22 16:43:33 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1453
Comment 3 Nate Graham 2021-10-01 16:06:48 UTC
Fixed by Kristen McWilliam with https://invent.kde.org/plasma/kwin/-/commit/cc06f627496f0cb19003bd676e3fe56a9332f734 in Plasma 5.24!